Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.model.client
Class TCPIPClientSunJavaAppServerInfo

    java.lang.Object
      com.stc.connector.tcpip.model.client.TCPIPClientSunJavaAppServerInfo

    public class TCPIPClientSunJavaAppServerInfo

extends java.lang.Object

This class represents the configuration for the connector connection pool of Sun Java System Application Server (Sun One Application Server) or SeeBeyond Runtime Server version 5.1.x.

Version:
  cvs revision: $Revision: 1.4 $ Last Modified: $Date: 2008/04/10 06:19:40 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `version`

Constructor Summary
`TCPIPClientSunJavaAppServerInfo()` Constructor for TCPIPClientSunJavaAppServerInfo.
`TCPIPClientSunJavaAppServerInfo(com.stc.connector.framework.util.ConfigurationHelper aConfiguration)` Constructor for TCPIPClientSunJavaAppServerInfo.

Method Summary
`com.stc.connector.framework.util.ConfigurationHelper` | `getInitPropertiesInfo()` Returns the initial configuration.
`int` | `getMaxPoolSize()`
`long` | `getMaxWaitTimeInMillis()`
`long` | `getPoolIdleTimeoutInSeconds()`
`int` | `getResizeQuantity()`
`int` | `getSteadyPoolSize()`
`void` | `setMaxPoolSize(int aMaxPoolSize)`
`void` | `setMaxWaitTimeInMillis(long aMaxWaitTimeInMillis)`
`void` | `setPoolIdleTimeoutInSeconds(long aPoolIdleTimeoutInSeconds)`
`void` | `setResizeQuantity(int aResizeQuantity)`
`void` | `setSteadyPoolSize(int aSteadyPoolSize)`
`void` | `validate()` Validates the configuration settings.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

Constructor Detail

### TCPIPClientSunJavaAppServerInfo

    public TCPIPClientSunJavaAppServerInfo()
                                    throws TCPIPApplicationException

  Constructor for TCPIPClientSunJavaAppServerInfo.

  Throws:
    `TCPIPApplicationException` - on error.

### TCPIPClientSunJavaAppServerInfo

    public TCPIPClientSunJavaAppServerInfo(com.stc.connector.framework.util.ConfigurationHelper aConfiguration)
                                    throws TCPIPApplicationException

  Constructor for TCPIPClientSunJavaAppServerInfo.

  Parameters:
    `aConfiguration` - The initial properties into.
  Throws:
    `TCPIPApplicationException` - on error.

Method Detail

### getInitPropertiesInfo

    public com.stc.connector.framework.util.ConfigurationHelper getInitPropertiesInfo()

  Returns the initial configuration.

  Returns:
    ConfigurationHelper

### getMaxPoolSize

    public int getMaxPoolSize()

  Returns:

### getMaxWaitTimeInMillis

    public long getMaxWaitTimeInMillis()

  Returns:

### getPoolIdleTimeoutInSeconds

    public long getPoolIdleTimeoutInSeconds()

  Returns:

### getResizeQuantity

    public int getResizeQuantity()

  Returns:

### getSteadyPoolSize

    public int getSteadyPoolSize()

  Returns:

### setMaxPoolSize

    public void setMaxPoolSize(int aMaxPoolSize)
                        throws TCPIPApplicationException

  Parameters:
    `aMaxPoolSize` -
  Throws:
    `TCPIPApplicationException`

### setMaxWaitTimeInMillis

    public void setMaxWaitTimeInMillis(long aMaxWaitTimeInMillis)
                                throws TCPIPApplicationException

  Parameters:
    `aMaxWaitTimeInMillis` -
  Throws:
    `TCPIPApplicationException`

### setPoolIdleTimeoutInSeconds

    public void setPoolIdleTimeoutInSeconds(long aPoolIdleTimeoutInSeconds)
                                     throws TCPIPApplicationException

  Parameters:
    `aPoolIdleTimeoutInSeconds` -
  Throws:
    `TCPIPApplicationException`

### setResizeQuantity

    public void setResizeQuantity(int aResizeQuantity)
                           throws TCPIPApplicationException

  Parameters:
    `aResizeQuantity` -
  Throws:
    `TCPIPApplicationException`

### setSteadyPoolSize

    public void setSteadyPoolSize(int aSteadyPoolSize)
                           throws TCPIPApplicationException

  Parameters:
    `aSteadyPoolSize` -
  Throws:
    `TCPIPApplicationException`

### validate

    public void validate()
                  throws TCPIPApplicationException

  Validates the configuration settings.

  Throws:
    `TCPIPApplicationException` - on error

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD